# open this flag when we support more mesa libs
# because that testsuite requires mesa.
%bcond_with    testsuite

Summary:       library for handling OpenGL function pointer management
Name:          libepoxy
Version:       1.5.10
Release:       8%{?dist}
License:       MIT
URL:           https://github.com/anholt/libepoxy
Source0:       %{url}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: meson gcc python3
BuildRequires: libGL-devel libEGL-devel libX11-devel
BuildRequires: xorg-x11-server-Xvfb mesa-dri-drivers
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(egl)
BuildRequires: pkgconfig(glesv2)

%description
This package provides a library for handling OpenGL function pointer management.

%package devel
Summary: Development files for libepoxy
Requires: %{name} = %{version}-%{release}

%description devel
This package provides a libraries and header files for developing applications

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Dtests=\
%if %{with testsuite}
true
%else
false
%endif

%meson_build

%install
%meson_install

%check
%if %{with testsuite}
xvfb-run -d -s "-screen 0 640x480x24" ninja -C %{_vpath_builddir} test || \
    (cat %{_vpath_builddir}/meson-logs/testlog.txt ; exit 1)
%endif

%files
%license COPYING
%doc README.md
%{_libdir}/libepoxy.so.0*

%files devel
%{_libdir}/pkgconfig/epoxy.pc
%{_includedir}/epoxy/
%{_libdir}/libepoxy.so

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.10-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.10-7
- Rebuilt for loongarch release

* Mon Oct 30 2023 Shuo Wang <abushwang@tencent.com> - 1.5.10-6
- update summary from upstream github

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.10-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.10-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.10-3
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 09 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.5.10-2
- Rebuild libepoxy

* Fri Sep 9 2022 Shuo Wang <abushwang@tencent.com> - 1.5.10-1
- initial build
